<script setup lang="ts">
  import { Product } from '@shopware-pwa/types';
  const props = withDefaults(
    defineProps<{
      product: Product;
      layout?: 'detail' | 'listing';
    }>(),
    {
      layout: 'detail',
    },
  );

  const { isListPrice, price, hasRange, displayFromVariants } = useProductPrice(
    toRef(props.product),
  );

  const isSale = computed(() => {
    const percentage = price.value?.listPrice?.percentage || 0;
    return isListPrice.value && !hasRange.value && !displayFromVariants.value && percentage > 0;
  });
</script>
<template>
  <template v-if="product">
    <div class="flex gap-2" :class="layout === 'listing' ? 'flex-col-reverse gap-1' : 'gap-2'">
      <SwBadge v-if="isSale" type="sale" :class="layout === 'listing' && 'rounded-l-none'" />
      <SwBadge
        v-if="product.markAsTopseller"
        type="tip"
        :class="layout === 'listing' && 'rounded-l-none'"
      />
      <SwBadge v-if="product.isNew" type="new" :class="layout === 'listing' && 'rounded-l-none'" />
    </div>
  </template>
</template>
<style scoped></style>
